Bug 530863 - (CVE-2009-3641) CVE-2009-3641 Snort: DoS (crash) while printing specially-crafted IPv6 packet using the -v option
CVE-2009-3641 Snort: DoS (crash) while printing specially-crafted IPv6 packet...
Status: CLOSED CANTFIX
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
unspecified
All Linux
medium Severity medium
: ---
: ---
Assigned To: Red Hat Product Security
http://dl.snort.org/snort-current/rel...
impact=moderate,source=internet,repor...
: Security
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-10-25 14:26 EDT by Jan Lieskovsky
Modified: 2014-02-21 06:13 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-02-19 17:10:15 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jan Lieskovsky 2009-10-25 14:26:13 EDT
Snort upstream has released 2.8.5.1 version,
addressing one security issue (from upstream release notes):

* Fixed potential segfault when printing IPv6 packets using the -v option.
Thanks to Laurent Gaffie for reporting this issue.

References:
-----------
http://vrt-sourcefire.blogspot.com/2009/10/snort-2851-release.html
http://www.snort.org/downloads
http://secunia.com/advisories/37135/

PoC:   http://seclists.org/fulldisclosure/2009/Oct/299
----

Credit:
-------
Laurent Gaffié

CVE Request:
------------
http://www.openwall.com/lists/oss-security/2009/10/25/3
Comment 1 Jan Lieskovsky 2009-10-25 14:27:21 EDT
This issue might potentially affect the versions of the Snort package,
as shipped with Fedora releases of 10 and 11.

Dennis, please check and fix.
Comment 2 Jan Lieskovsky 2009-10-25 17:02:30 EDT
This is CVE-2009-3641.
Comment 3 Fedora Update System 2009-10-25 23:42:08 EDT
snort-2.8.5.1-1.fc10 has been submitted as an update for Fedora 10.
http://admin.fedoraproject.org/updates/snort-2.8.5.1-1.fc10
Comment 4 Fedora Update System 2009-10-25 23:42:41 EDT
snort-2.8.5.1-1.fc11 has been submitted as an update for Fedora 11.
http://admin.fedoraproject.org/updates/snort-2.8.5.1-1.fc11
Comment 5 Fedora Update System 2009-11-24 02:35:39 EST
snort-2.8.5.1-1.fc10 has been pushed to the Fedora 10 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 6 Fedora Update System 2009-11-24 02:51:24 EST
snort-2.8.5.1-1.fc11 has been pushed to the Fedora 11 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 8 Dennis Gilmore 2014-02-19 17:10:15 EST
this was never closed, snort has long been removed from fedora
Comment 9 Jan Lieskovsky 2014-02-20 04:23:54 EST
(In reply to Dennis Gilmore from comment #8)
> this was never closed, snort has long been removed from fedora

Thanks, Dennis. And there's no willingness / possibility to bring it back? Can you clarify the reasons why it got deprecated? (can't find an entry for it in:
  https://fedoraproject.org/wiki/Deprecated_packages)

Thank you && Regards, Jan
Comment 10 Dennis Gilmore 2014-02-20 13:11:53 EST
the rules became propietory, there is some community GPL ones but they did not do much. the way it was built multiple times with different config options was akward. It came down to the software being a mess and the availabily of useful rules slim. It really is not worth the effort to maintain.
Comment 11 Jan Lieskovsky 2014-02-21 06:13:21 EST
(In reply to Dennis Gilmore from comment #10)
> the rules became propietory, there is some community GPL ones but they did
> not do much. the way it was built multiple times with different config
> options was akward. It came down to the software being a mess and the
> availabily of useful rules slim. It really is not worth the effort to
> maintain.

OK, makes sense now. Thanks, Dennis.

Note You need to log in before you can comment on or make changes to this bug.